"
 COPYRIGHT (c) 1988 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

PrinterStream subclass:#HPLjetIIPrinterStream
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Streams-External'
!

!HPLjetIIPrinterStream class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1988 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    This class defines protocol for simple text prinitng on an HP Laserjet 2
    (and compatible) printer. It knows the escape codes for bold, italic etc.
"
!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/HPLjetIIPrinterStream.st,v 1.11 1995-11-23 01:50:58 cg Exp $'
! !

!HPLjetIIPrinterStream methodsFor:'access writing'!

bold
    "switch to bold font-face"

    super nextPut:(Character esc).
    super nextPutAll:'(s0S'.
    super nextPut:(Character esc).
    super nextPutAll:'(s3B'
!

courier
    "switch to courier font"

    super nextPut:(Character esc).
    super nextPutAll:'(s3T'
!

cr
    "have to output cr-nl here"

    super nextPutUntranslated:(Character value:13).
    super nextPutUntranslated:(Character value:10).
    self spaces:LeftMargin
!

helvetica
    "switch to helvetica font"

    super nextPut:(Character esc).
    super nextPutAll:'(s4T'
!

italic
    "switch to italic/oblique font-face"

    super nextPut:(Character esc).
    super nextPutAll:'(s1S'.
    super nextPut:(Character esc).
    super nextPutAll:'(s0B'
!

normal
    "switch to normal/roman font-face"

    super nextPut:(Character esc).
    super nextPutAll:'(s0S'.
    super nextPut:(Character esc).
    super nextPutAll:'(s0B'
!

times
    "switch to times font"

    super nextPut:(Character esc).
    super nextPutAll:'(s5T'
! !

